Bug 752399 - [as5] Unable to create datasource
[as5] Unable to create datasource
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.2
Unspecified Unspecified
urgent Severity high (vote)
: ---
: JON 3.0.0,RHQ 4.3.0
Assigned To: Ian Springer
Mike Foley
:
: 816307 (view as bug list)
Depends On:
Blocks: jon3 jon30-sprint8
  Show dependency treegraph
 
Reported: 2011-11-09 06:58 EST by Lukas Krejci
Modified: 2013-08-05 20:42 EDT (History)
4 users (show)

See Also:
Fixed In Version: 4.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
verification screenshot (133.35 KB, image/png)
2011-11-14 15:53 EST, Mike Foley
no flags Details

  None (edit)
Description Lukas Krejci 2011-11-09 06:58:25 EST
Description of problem:

Each time I tried to create a datasource through RHQ UI, I got a failure with this error message:

java.lang.IllegalArgumentException:item value org.jboss.resource.metadata.mcf.SecurityDeploymentType{[NONE, APPLICATION, DOMAIN, DOMAIN_AND_APPLICATION]}:null for item name securityDeploymentType is not a org.jboss.resource.metadata.mcf.SecurityDeploymentType{[NONE, APPLICATION, DOMAIN, DOMAIN_AND_APPLICATION]}

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. Go to an inventoried EAP5 instance
2. Create Child -> Local Tx Datasource
3. Fill in the details with valid data
  
Actual results:
creation fails

Expected results:
datasource created

Additional info:
Comment 1 Ian Springer 2011-11-10 13:27:21 EST
[master 396b849] (http://git.fedorahosted.org/git?p=rhq/rhq.git;a=commitdiff;h=396b849) fixes this. I tested the fix with AS 6.0. QE, please also test it with EAP 5.0 and EAP 5.1.
Comment 2 Charles Crouch 2011-11-11 12:31:30 EST
Ian,
Please test yourself with EAP5.0 and 5.1 and if it works, please push to the release branch, and set this to ON-QA
Comment 3 Charles Crouch 2011-11-11 12:40:07 EST
(11:36:57 AM) ccrouch: ips: that bug has not been validated on any version of EAP currently
(11:37:12 AM) ccrouch: imho thats not something thats ready for QE
(11:37:21 AM) ccrouch: i see your point though
(11:37:40 AM) ccrouch: that dev's job is not to test all conceivable versions
(11:38:03 AM) ccrouch: so you should test your fix with the latest version of EAP, and make sure it works
(11:38:30 AM) ccrouch: QE can then verify it using a different, earlier version of EAP if they wish
Comment 4 Ian Springer 2011-11-11 13:31:14 EST
Verified my fix against EAP 5.1.1 (successfully created a Datasource child Resource).
Comment 5 Ian Springer 2011-11-11 15:37:25 EST
Cherry picked fix to release_jon3.x branch - commit a9db32a:

http://git.fedorahosted.org/git?p=rhq/rhq.git;a=commitdiff;h=a9db32a
Comment 6 Mike Foley 2011-11-14 15:53:21 EST
verified with EAP 5.1.  attaching screenshot to document the verification of the successful creation of a datasource.
Comment 7 Mike Foley 2011-11-14 15:53:50 EST
Created attachment 533616 [details]
verification screenshot
Comment 8 Mike Foley 2011-11-14 16:04:59 EST
the fix is specific to EAP 5
Comment 9 Ian Springer 2011-11-14 17:08:53 EST
This should be verified against EAP 5.0 too.
Comment 10 Mike Foley 2011-11-16 13:16:48 EST
verified EAP 5.0
Comment 11 Mike Foley 2012-02-07 14:26:05 EST
marking VERIFIED JON 3 bugs to CLOSED/CURRENTRELEASE
Comment 12 Mike Foley 2012-02-07 14:27:40 EST
changing status of VERIFIED BZs for JON 2.4.2 and JON 3.0 to CLOSED/CURRENTRELEASE
Comment 13 Paul Nittel 2012-04-25 14:55:37 EDT
*** Bug 816307 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.